Package com.android.server.os

# Class LinphoneTombstoneProtos.MemoryMapping

java.lang.Object
com.google.protobuf.AbstractMessageLite<MessageType,BuilderType>
com.google.protobuf.GeneratedMessageLite<LinphoneTombstoneProtos.MemoryMapping,LinphoneTombstoneProtos.MemoryMapping.Builder>
com.android.server.os.LinphoneTombstoneProtos.MemoryMapping

All Implemented Interfaces:
  `LinphoneTombstoneProtos.MemoryMappingOrBuilder`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`

Enclosing class:
  LinphoneTombstoneProtos

public static final class LinphoneTombstoneProtos.MemoryMapping extends com.google.protobuf.GeneratedMessageLite<LinphoneTombstoneProtos.MemoryMapping,LinphoneTombstoneProtos.MemoryMapping.Builder> implements LinphoneTombstoneProtos.MemoryMappingOrBuilder
Protobuf type `MemoryMapping`

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`LinphoneTombstoneProtos.MemoryMapping.Builder`
Protobuf type `MemoryMapping`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageLite

`com.google.protobuf.GeneratedMessageLite.DefaultInstanceBasedParser<T extends com.google.protobuf.GeneratedMessageLite<T,?>>, com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageLite.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageLite.GeneratedExtension<ContainingType extends com.google.protobuf.MessageLite,Type extends Object>, com.google.protobuf.GeneratedMessageLite.MethodToInvoke, com.google.protobuf.GeneratedMessageLite.SerializedForm`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BEGIN_ADDRESS_FIELD_NUMBER`
`static final int`
`BUILD_ID_FIELD_NUMBER`
`static final int`
`END_ADDRESS_FIELD_NUMBER`
`static final int`
`EXECUTE_FIELD_NUMBER`
`static final int`
`LOAD_BIAS_FIELD_NUMBER`
`static final int`
`MAPPING_NAME_FIELD_NUMBER`
`static final int`
`OFFSET_FIELD_NUMBER`
`static final int`
`READ_FIELD_NUMBER`
`static final int`
`WRITE_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageLite

`unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`protected final Object`
`dynamicMethod(com.google.protobuf.GeneratedMessageLite.MethodToInvoke method, Object arg0, Object arg1)`
`long`
`getBeginAddress()`
`uint64 begin_address = 1;`
`String`
`getBuildId()`
`string build_id = 8;`
`com.google.protobuf.ByteString`
`getBuildIdBytes()`
`string build_id = 8;`
`static LinphoneTombstoneProtos.MemoryMapping`
`getDefaultInstance()`
`long`
`getEndAddress()`
`uint64 end_address = 2;`
`boolean`
`getExecute()`
`bool execute = 6;`
`long`
`getLoadBias()`
`uint64 load_bias = 9;`
`String`
`getMappingName()`
`string mapping_name = 7;`
`com.google.protobuf.ByteString`
`getMappingNameBytes()`
`string mapping_name = 7;`
`long`
`getOffset()`
`uint64 offset = 3;`
`boolean`
`getRead()`
`bool read = 4;`
`boolean`
`getWrite()`
`bool write = 5;`
`static LinphoneTombstoneProtos.MemoryMapping.Builder`
`newBuilder()`
`static LinphoneTombstoneProtos.MemoryMapping.Builder`
`newBuilder(LinphoneTombstoneProtos.MemoryMapping prototype)`
`static LinphoneTombstoneProtos.MemoryMapping`
`parseDelimitedFrom(InputStream input)`
`static LinphoneTombstoneProtos.MemoryMapping`
`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.MemoryMapping`
`parseFrom(byte[] data)`
`static LinphoneTombstoneProtos.MemoryMapping`
`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.MemoryMapping`
`parseFrom(com.google.protobuf.ByteString data)`
`static LinphoneTombstoneProtos.MemoryMapping`
`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.MemoryMapping`
`parseFrom(com.google.protobuf.CodedInputStream input)`
`static LinphoneTombstoneProtos.MemoryMapping`
`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.MemoryMapping`
`parseFrom(InputStream input)`
`static LinphoneTombstoneProtos.MemoryMapping`
`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.MemoryMapping`
`parseFrom(ByteBuffer data)`
`static LinphoneTombstoneProtos.MemoryMapping`
`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<LinphoneTombstoneProtos.MemoryMapping>`
`parser()`

### Methods inherited from class com.google.protobuf.GeneratedMessageLite

`createBuilder, createBuilder, dynamicMethod, dynamicMethod, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, emptyProtobufList, equals, getDefaultInstanceForType, getParserForType, getSerializedSize, hashCode, isInitialized, isInitialized, makeImmutable, mergeLengthDelimitedField, mergeUnknownFields, mergeVarintField, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBuilderForType, newMessageInfo, newRepeatedGeneratedExtension, newSingularGeneratedExtension, parseDelimitedFrom, parseDelimitedFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parsePartialFrom, parseUnknownField, registerDefaultInstance, toBuilder, toString, writeTo`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Field Details

### BEGIN_ADDRESS_FIELD_NUMBER

public static final int BEGIN_ADDRESS_FIELD_NUMBER

See Also:
  - Constant Field Values

### END_ADDRESS_FIELD_NUMBER

public static final int END_ADDRESS_FIELD_NUMBER

See Also:
  - Constant Field Values

### OFFSET_FIELD_NUMBER

public static final int OFFSET_FIELD_NUMBER

See Also:
  - Constant Field Values

### READ_FIELD_NUMBER

public static final int READ_FIELD_NUMBER

See Also:
  - Constant Field Values

### WRITE_FIELD_NUMBER

public static final int WRITE_FIELD_NUMBER

See Also:
  - Constant Field Values

### EXECUTE_FIELD_NUMBER

public static final int EXECUTE_FIELD_NUMBER

See Also:
  - Constant Field Values

### MAPPING_NAME_FIELD_NUMBER

public static final int MAPPING_NAME_FIELD_NUMBER

See Also:
  - Constant Field Values

### BUILD_ID_FIELD_NUMBER

public static final int BUILD_ID_FIELD_NUMBER

See Also:
  - Constant Field Values

### LOAD_BIAS_FIELD_NUMBER

public static final int LOAD_BIAS_FIELD_NUMBER

See Also:
  - Constant Field Values

## Method Details

### getBeginAddress

public long getBeginAddress()
`uint64 begin_address = 1;`

Specified by:
  `getBeginAddress` in interface `LinphoneTombstoneProtos.MemoryMappingOrBuilder`
Returns:
  The beginAddress.

### getEndAddress

public long getEndAddress()
`uint64 end_address = 2;`

Specified by:
  `getEndAddress` in interface `LinphoneTombstoneProtos.MemoryMappingOrBuilder`
Returns:
  The endAddress.

### getOffset

public long getOffset()
`uint64 offset = 3;`

Specified by:
  `getOffset` in interface `LinphoneTombstoneProtos.MemoryMappingOrBuilder`
Returns:
  The offset.

### getRead

public boolean getRead()
`bool read = 4;`

Specified by:
  `getRead` in interface `LinphoneTombstoneProtos.MemoryMappingOrBuilder`
Returns:
  The read.

### getWrite

public boolean getWrite()
`bool write = 5;`

Specified by:
  `getWrite` in interface `LinphoneTombstoneProtos.MemoryMappingOrBuilder`
Returns:
  The write.

### getExecute

public boolean getExecute()
`bool execute = 6;`

Specified by:
  `getExecute` in interface `LinphoneTombstoneProtos.MemoryMappingOrBuilder`
Returns:
  The execute.

### getMappingName

public String getMappingName()
`string mapping_name = 7;`

Specified by:
  `getMappingName` in interface `LinphoneTombstoneProtos.MemoryMappingOrBuilder`
Returns:
  The mappingName.

### getMappingNameBytes

public com.google.protobuf.ByteString getMappingNameBytes()
`string mapping_name = 7;`

Specified by:
  `getMappingNameBytes` in interface `LinphoneTombstoneProtos.MemoryMappingOrBuilder`
Returns:
  The bytes for mappingName.

### getBuildId

public String getBuildId()
`string build_id = 8;`

Specified by:
  `getBuildId` in interface `LinphoneTombstoneProtos.MemoryMappingOrBuilder`
Returns:
  The buildId.

### getBuildIdBytes

public com.google.protobuf.ByteString getBuildIdBytes()
`string build_id = 8;`

Specified by:
  `getBuildIdBytes` in interface `LinphoneTombstoneProtos.MemoryMappingOrBuilder`
Returns:
  The bytes for buildId.

### getLoadBias

public long getLoadBias()
`uint64 load_bias = 9;`

Specified by:
  `getLoadBias` in interface `LinphoneTombstoneProtos.MemoryMappingOrBuilder`
Returns:
  The loadBias.

### parseFrom

public static LinphoneTombstoneProtos.MemoryMapping parseFrom(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.MemoryMapping parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.MemoryMapping parseFrom(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.MemoryMapping parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.MemoryMapping parseFrom(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.MemoryMapping parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.MemoryMapping parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static LinphoneTombstoneProtos.MemoryMapping parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static LinphoneTombstoneProtos.MemoryMapping parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static LinphoneTombstoneProtos.MemoryMapping parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static LinphoneTombstoneProtos.MemoryMapping parseFrom(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static LinphoneTombstoneProtos.MemoryMapping parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilder

public static LinphoneTombstoneProtos.MemoryMapping.Builder newBuilder()

### newBuilder

public static LinphoneTombstoneProtos.MemoryMapping.Builder newBuilder(LinphoneTombstoneProtos.MemoryMapping prototype)

### dynamicMethod

protected final Object dynamicMethod(com.google.protobuf.GeneratedMessageLite.MethodToInvoke method, Object arg0, Object arg1)

Specified by:
  `dynamicMethod` in class `com.google.protobuf.GeneratedMessageLite<LinphoneTombstoneProtos.MemoryMapping,LinphoneTombstoneProtos.MemoryMapping.Builder>`

### getDefaultInstance

public static LinphoneTombstoneProtos.MemoryMapping getDefaultInstance()

### parser

public static com.google.protobuf.Parser<LinphoneTombstoneProtos.MemoryMapping> parser()